UpdatedContainer (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: UpdatedContainer

Package org.apache.hadoop.yarn.api.records

# Class UpdatedContainer

java.lang.Object
org.apache.hadoop.yarn.api.records.UpdatedContainer

@Public @Unstable public abstract class UpdatedContainer extends Object
An object that encapsulates an updated container and the type of Update.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdatedContainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `abstract Container`
  `getContainer()`
  Get the `Container`.
  `abstract ContainerUpdateType`
  `getUpdateType()`
  Get the `ContainerUpdateType`.
  `int`
  `hashCode()`
  `static UpdatedContainer`
  `newInstance(ContainerUpdateType updateType, Container container)`
  Static Factory method.
  `abstract void`
  `setContainer(Container container)`
  Set the `Container`.
  `abstract void`
  `setUpdateType(ContainerUpdateType updateType)`
  Set the `ContainerUpdateType`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdatedContainer

    public UpdatedContainer()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static UpdatedContainer newInstance(ContainerUpdateType updateType, Container container)
    Static Factory method.
    Parameters:
      `updateType` - ContainerUpdateType
      `container` - Container
    Returns:
      UpdatedContainer

  - ### getUpdateType

    public abstract ContainerUpdateType getUpdateType()
    Get the `ContainerUpdateType`.
    Returns:
      ContainerUpdateType

  - ### setUpdateType

    public abstract void setUpdateType(ContainerUpdateType updateType)
    Set the `ContainerUpdateType`.
    Parameters:
      `updateType` - ContainerUpdateType

  - ### getContainer

    public abstract Container getContainer()
    Get the `Container`.
    Returns:
      Container

  - ### setContainer

    public abstract void setContainer(Container container)
    Set the `Container`.
    Parameters:
      `container` - Container

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`